import { Pattern } from '.'

export interface Implementation {
  id: string
  patternId: Pattern['id']
  name: string
  description: string
  createdDate: string
  dockerhubImageName: string
}

export interface CreateImplementationRequest {
  patternId: Pattern['id']
  name: string
  description: string
  dockerhubImageName: string
}
